unit uEditorAlbaranesDevProveedor;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uEditorAlbaranesProveedor, JSDialog, Menus, DB, uDADataTable,
  JvAppStorage, JvAppRegistryStorage, JvComponentBase, JvFormPlacement, ImgList,
  PngImageList, StdActns, ActnList, ComCtrls, JvExComCtrls, JvStatusBar, TBX,
  TB2ExtItems, TBXExtItems, TB2Item, TB2Dock, TB2Toolbar, pngimage, ExtCtrls,
  JvExControls, JvComponent, JvNavigationPane, uIEditorAlbaranesDevProveedor,
  uDAInterfaces;

type

  TfEditorAlbaranesDevProveedor = class(TfEditorAlbaranesProveedor, IEditorAlbaranesDevProveedor)
    N4: TMenuItem;
    Acercade1: TMenuItem;
  protected
    procedure AsignarVista; override;
    procedure NuevoInterno; override;
  public
    procedure PonerTitulos(const ATitulo: string = ''); override;
  end;

implementation
{$R *.dfm}

uses
  uDataModuleUsuarios, uViewAlbaranesDevProveedor, uFactuGES_App;
   
{ TfEditorAlbaranesDevProveedor }

procedure TfEditorAlbaranesDevProveedor.AsignarVista;
begin
  ViewGrid := CreateView(TfrViewAlbaranesDevProveedor) as IViewAlbaranesDevProveedor;
end;

procedure TfEditorAlbaranesDevProveedor.NuevoInterno;
begin
//  inherited;
  if FController.AnadirAlbaranDev(Albaranes) then
     FController.Ver(Albaranes);
end;

procedure TfEditorAlbaranesDevProveedor.PonerTitulos(const ATitulo: string);
var
  FTitulo : String;
begin
  FTitulo := 'Lista de órdenes de devolución de proveedor - ' + AppFactuGES.EmpresaActiva.NOMBRE;
  inherited PonerTitulos(FTitulo);
end;

end.
